Bug 445291 - button labels fail if language support is a subset
button labels fail if language support is a subset
Product: Fedora
Classification: Fedora
Component: pungi (Show other bugs)
i386 Linux
low Severity low
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2008-05-05 19:43 EDT by John Reiser
Modified: 2013-01-09 20:50 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-07-24 01:34:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Reiser 2008-05-05 19:43:09 EDT
Description of problem: The button labels in the graphic installer are just
rectangular outlines instead of text (Next, Back, etc.) if the release DVD/CD is
composed with a subset of the Languages.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Edit /usr/share/pungi/f9-fedora.ks to comment out all Language lines (or all
but one Language lines) by inserting a '#' in the first column.
2."pungi -c /usr/share/pungi/f9-fedora.ks --destdir=/data/Fedora9 --name Fedora
--ver 9 --discs 6" (the example compose from "man pungi".)
3. Start to install either the DVD or CD #1 in graphical mode.
Actual results: Labels on the buttons are rectangular outlines instead of text
(Next, Back, etc.)

Expected results: Lables on the buttons are text (Next, Back, etc.) as when no
Languages are commented out.

Additional info: The specific cases I tried were: all Languages commented out
(gives rectangles instead of button text), all except "@german-support" (again
gives rectangles instead of button text), and no Languages commented out (gives
normal button text.)  The text install works in all cases. 
"/usr/sbin/setenforce 0" was done before composing as a normal user (not superuser.)
Comment 1 Bug Zapper 2008-05-14 06:41:35 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 2 Jesse Keating 2008-07-15 22:27:23 EDT
Any chance you can re-try with rawhide's pungi?  I'm taking advantages of
buildinstall changes that may make this go away.
Comment 3 Nicolas Mailhot 2008-07-23 10:44:07 EDT
Fonts were split from the base-x to the fonts comps group in recent releases.
If you're using an old kickstart that does not reference the fonts group, you
end up with a font-less installation.

And no text.
Comment 4 John Reiser 2008-07-23 10:51:41 EDT
This problem occurs with the official default kickstart of Fedora 9 (the CURRENT
release), not some "old kickstart."

This problem occurs with repsect to changing the *Languages*, and making no
changes to the fonts.

The current question is whether rawhide for Fedora 10 has fixed the problem
regarding a subset of the *Languages*.  I'll answer when I can make a rawhide
install, probably as soon as F10 Alpha.  Daily rawhide is too unstable to run. 
Rawhide in Mock suffers from a lack of documentation.
Comment 5 Nicolas Mailhot 2008-07-23 14:29:54 EDT
Language groups that do not need special encoding fonts do not declare any font.
So if your kickstart omits the fonts group, and you unselect all the language
groups which may have added other fonts to the mix, you end with a font-less
system and no text
Comment 6 Jesse Keating 2008-07-24 01:34:52 EDT
I appreciate that this happens with F9, but it's something I don't plan on
fixing.  F10 may have this fixed, I'm not sure, which is why I asked you to try it.

Note You need to log in before you can comment on or make changes to this bug.